/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0
import "Common"

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
RecipePage {
        title: "Help"
    RecipeContainer {
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }


            Container {
	            topPadding: 10
	            bottomPadding: topPadding
	            leftPadding: 10
	            rightPadding: leftPadding
                

                Label {
	                multiline: true
	                textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
//	            text: "Copy registered to Ian Power\nemail: thatsonyguy@hotmail.com\n\nDO NOT DISTRIBUTE\n\n<b>Photo Boooth Pro</b> is a classic photo booth simulator.  You load or take four pictures from the camera and then optionally add frames and effects to the pictures and then save it as a photo booth.\n
	            text: "Cell Signal Tracker for BlackBerry 10.\n
Use Signal Tracker to check and track cell signal quality and to create graph and mapping visual for network problem solving.

<b>Start Tracking</b>

The current signal quality is shown on the top of the screen.  It gets updated when the signal changes.

To start tracking the signal touch the Start Tracking icon on the screen.  This will save the current timestamp, signal quality, latitude and longitude to the log file.

The interval to save the signal is set in the Settings screen.

<b>Stop Tracking</b>

To stop tracking go back to the main screen and touch the Cell Tower icon.

<b>Graph</b>

When you have a set of data to graph you can goto the Graph screen and load in a data file or graph the current data set.
If you want to include the latitude and longitude in the graph then goto the Settings screen and check the option.

You can export the signal data to a csv file for plotting the graph on the Desktop computer, view a signal specific time or view the location of the signal on the map. 

Graph is saved to the Camera folder on the Device and you can view it using the Picture application.

<b>Summary Report</b>

In the Graph screen you can get a summary report for the Best and Worst signals for all the signals that you have tracked.  Select the <b>...</b> icon and select <b>Summary</b> menu.

<b>Signal Detail View</b>

To get a detail signal report touch and hold a signal item from the list and select <b>Detail</b> from the Context menu.  This will give you more information about that signal location.

<b>Limitation:  The graph will only display the first 160 signals if you include latitude and longitude or 320 signals without.  If you set the tracking interval to 1 minute then that is 160 minutes worth of tracking data.</b>

<b>Color Table</b>

Light Green - 5 Bars  (Good)
Dark Green  - 4 Bars
Yellow      - 3 Bars
Dark Red    - 2 Bars
Light Red   - 1 Bar   (Worst)

<b>Mapping the Signals</b>

You can view the entire signal tracking log by selecting the Map icon in the Graph screen.  You can then select to view less signal data.  To get information on a signal just touch the marker on the map. 

<b>Loading Data Set</b>

Signal Tracker saves the signal data file to the SD Card or Device in the documents/SignalTracker folder.  When you load a data set browse the documents folder.

<b>Application Permission</b>

If you had denied Application Permissions for Signal Tracker it will not work properly.  To set the permsissions run the Settings application, select Security and Privacy, select Application Permissions and select Signal Tracker.

Signal Tracker 2.1.1
Copyright © 2013-2015 Toysoft Inc.
All Rights Reserved.

www.toysoft.ca
support@toysoft.ca"
                    textStyle.color: Color.Black
                }// Label
	        }// Container
	
	
	    }// RecipeContainer
	}

	    actions: [

	        ActionItem {
	            title: "More Apps"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/icon_moreapps.png"
	            onTriggered: {
	                invokeappworld.trigger("bb.action.OPEN")
	            }
	        },

	        ActionItem {
	            title: "Invite"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/icon_bbm.png"
	             
	            onTriggered: {
	                       _mainApp.invitedownload()
	            }
	        }
	        
	        ]

	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

	    Invocation
	    {
	         id: invokewebsite
				query.mimeType: "text/html"
                query.uri: "http://www.toysoft.ca/"
                query.invokeActionId: "bb.action.OPEN"
	         
	     },

	    Invocation
	    {
	         id: invokeappworld
             query.mimeType: "application/x-bb-appworld"
             query.uri: "appworld://vendor/184"
             query.invokeActionId: "bb.action.OPEN"
	         
	     }

	  ]
  
}// RecipePage