import bb.cascades 1.0
import bb.cascades.pickers 1.0


Page {

    titleBar: TitleBar {
        title: "Graph"
        objectName: "graph_title"

    }

    actions: [

        ActionItem {
            title: qsTr("Graph")
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icon_record.png"
            onTriggered: {
                _mainApp.do_graph(0)
            }
        },

        ActionItem {
            title: qsTr("View Map")
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icon_edit1.png"
            onTriggered: {
                _mainApp.view_map(88)
            }
        },


        ActionItem {
            title: qsTr("Export to CSV")
            imageSource: "asset:///images/icon_myrecordings.png"
            onTriggered: {
                _mainApp.do_graph(1)
            }
        },

        ActionItem {
            title: qsTr("Export to OpenCellID")
            imageSource: "asset:///images/icon_myrecordings.png"
            onTriggered: {
                _mainApp.do_graph(11)
            }
        },

        ActionItem {
            title: qsTr("Summary")
//            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icon_delete.png"
            onTriggered: {
                _mainApp.processAction(3, 0, "a");
            }
        },

        ActionItem {
            title: qsTr("Open")
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icon_pause.png"
            onTriggered: {
                filePicker.open()
            }
        },
        ActionItem {
            title: qsTr("Share")
            //            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icon_share.png"
            onTriggered: {
                _mainApp.do_graph(2)
            }
            //          enabled: false
            objectName: "actionShare"
        },

        ActionItem {
            title: qsTr("Upload CSV to OpenCellID")
            //            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/ic_upload.png"
            onTriggered: {
                _mainApp.do_graph(88)
            }
        }

    ]

    Container {

        layout: DockLayout {
        }
        //        background: Color.Black

        // list browser
        Container {
            id: browse_container
            horizontalAlignment: HorizontalAlignment.Fill
            /*
             * ImageView {
             * imageSource: "asset:///images/img_title_768.jpg"
             * }
             */
            ListView {
                id: listView

               // property variant itemTextStyle: defaultBlackTextStyle

                dataModel: _mainApp.model

                listItemComponents: ListItemComponent {
                    type: "item"

                    Container {
                        id: itemRoot

                        layout: DockLayout {
                        }

                        contextActions: [
                            ActionSet {
                                title: "Select Action"
                                ActionItem {
                                    title: "Share"
                                    imageSource: "asset:///images/icon_share.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(0, ListItemData.index, ListItemData.datetime);
                                    }
                                }

                                ActionItem {
                                    title: "Detail"
                                    imageSource: "asset:///images/icon_pause.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(1, ListItemData.index, ListItemData.datetime);
                                    }
                                }

                                ActionItem {
                                    title: "View on Map"
                                    imageSource: "asset:///images/icon_edit1.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(2, ListItemData.index, ListItemData.datetime);
                                    }
                                }
/*
                                ActionItem {
                                    title: "View Map on OpenCellID"
                                    imageSource: "asset:///images/icon_edit1.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(8, ListItemData.index, ListItemData.datetime);
                                    }
                                }
*/
                                ActionItem {
                                    title: "Upload to OpenCellID"
                                    imageSource: "asset:///images/ic_upload.png"
                                    onTriggered: {
                                        itemRoot.ListItem.view.myAction(4, ListItemData.index, ListItemData.datetime);
                                    }
                                }

                            }
                        ]

                        // Item background image.
                        ImageView {
                            id: imgItemBackground
                            imageSource: "asset:///images/white_photo.png"
                            preferredWidth: 1440
                            preferredHeight: 114
                        }

                        Container {
                            id: highlightContainer
                            background: Color.create("#75b5d3")
                            //						            opacity: 0.0
                            opacity: itemRoot.ListItem.active ? 0.9 : 0.0
                            preferredWidth: 1440
                            preferredHeight: 114
                            horizontalAlignment: HorizontalAlignment.Center
                        }

                        // The Item content an image and a text
                        Container {
                            leftPadding: 3
                            horizontalAlignment: HorizontalAlignment.Fill

                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            Container {
                                layout: StackLayout {
                                    orientation: LayoutOrientation.TopToBottom
                                }
                                verticalAlignment: VerticalAlignment.Center
                                horizontalAlignment: HorizontalAlignment.Left
                                Label {
                                    // The title is bound to the data in models/recipemodel.xml title attribute.
                                    text: ListItemData.datetime
                                    leftMargin: 1
    //                                textStyle.base: recipeItem.ListItem.view.itemTextStyle.style
                                    multiline: true
                                } // Label
                            } // text container

                        } // Container

                    } // Container
                }

                onTriggered: {
                    clearSelection()
                    select(indexPath)
                    _mainApp.set_record_index(indexPath)
                    //                    itemRoot.ListItem.view.myAction(1, ListItemData.title, ListItemData.url);
                }

                // context menu
                function myAction(type, index, datetime) {
                    _mainApp.processAction(type, index, datetime);
                }

                objectName: "RecordingsList"
            } // listview
        }

    }

    attachedObjects: [

    FilePicker {
        id: filePicker

        title: qsTr("Select a data file")
        mode: FilePickerMode.Picker
        filter: [ "*.log" ]
        directories: [ 
//            "/accounts/1000/shared/documents/SignalTracker",
                "/accounts/1000/removable/sdcard/documents/SignalTracker" ]
        
        onFileSelected: {
            _mainApp.load_data_file(selectedFiles);
             }
            objectName: "filepicker"
        }
    ]

    }// page
