/* Copyright (c) 2013 BlackBerry Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0

Container {
    id: root

    layout: DockLayout {
    }

    //! [0]
    property variant center: [ "-1", "-1" ]
    property variant centerPixel: [ "-1", "-1" ]
    //! [0]

    function show_street_view() {
        var script = "show_street_view()"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }

    //! [1]
    function setZoom(zoom) {
        var script = "setZoom(" + zoom + ")"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    function zoomIn() {
        var script = "zoomIn()"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    function zoomOut() {
        var script = "zoomOut()"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    function setCenter(lat, lon) {
        var script = "setCenter(" + lat + "," + lon + ")"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    function setMapType(mapType) {
        var script = "setMapTypeId(" + mapType + ")"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    function createPushPin(lat, lon, title, icon) {
//        var script = "createPushPin(" + lat + "," + lon + "," + "\"" + title + "\"" + "," + "\"file:///shared/documents/Taken/Thumbnails/Test.db/test.png\"" + ")"
//        var script = "createPushPin(" + lat + "," + lon + "," + "\"" + title + "\"" + "," + "\"local:///assets/images/on_map_pin.png\"" + ")"
        var script = "createPushPin(" + lat + "," + lon + "," + "\"" + title + "\"" + "," + "\""+icon+"\"" + ")"
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    function removeAllPins() {
        var script = "removeAllPins()";
        qwvMapView.evaluateJavaScript(script, JavaScriptWorld.Normal);
    }
    //! [1]
    
    function hideLabel() {
        label.text = "";
   
    }

    ScrollView {
        id: scrollView
        scrollViewProperties {
            scrollMode: ScrollMode.None
            pinchToZoomEnabled: true
        }
        //! [2]
        WebView {
            id: qwvMapView

            html: _webMaps.pageContent
        //! [2]

            onMinContentScaleChanged: {
                scrollView.scrollViewProperties.minContentScale = minContentScale;
            }
            onMaxContentScaleChanged: {
                scrollView.scrollViewProperties.maxContentScale = maxContentScale;
            }

            
            //! [3]
            onMessageReceived: {
                if (message.data.indexOf("centerChanged") >= 0) {
                    var data = message.data.substring(message.data.indexOf(":") + 1);
                    var values = data.split(",");
                    center = [
                        values[0],
                        values[1]
                    ];
                    centerPixel = [
                        values[2],
                        values[3]
                    ];
                    label.text = "";
/*
                    label.text = qsTr("centerChanged:\nWorld: %1, %2\nPixel: %3, %4")
                                     .arg(center[0].substr(0, 9)).arg(center[1].substr(0, 9))
                                     .arg(Math.round(x)).arg(Math.round(y));
                    labelPosition.positionX = centerPixel[0];
                    labelPosition.positionY = centerPixel[1];
*/
                } else if (message.data.indexOf("clicked") >= 0) {
                    var data = message.data.substring(message.data.indexOf(":") + 1);
                    var values = data.split(",");
                    var lat = values[0];
                    var lon = values[1];
                    var x = values[2];
                    var y = values[3];
                    
                    label.text = "";
/*
                    label.text = qsTr("clicked:\nWorld: %1, %2\nPixel: %3, %4")
                                     .arg(lat.substr(0, 9)).arg(lon.substr(0, 9))
                                     .arg(Math.round(x)).arg(Math.round(y));
                    labelPosition.positionX = x;
                    labelPosition.positionY = y;
*/
                } else if (message.data.indexOf("markerClicked") >= 0) {
                    var orig_data = message.data;
                    var data = message.data.substring(message.data.indexOf(":") + 1);
                    var values = data.split(",");
                    var lat = values[0];
                    var lon = values[1];
                    var x = values[2];
                    var y = values[3];
                    var title = values[4];
//                    var icon = values[5];

                    label.text = qsTr("Location: %1, %2\nSignal: %3")
                                     .arg(lat.substr(0, 9)).arg(lon.substr(0, 9))
                                     .arg(title);
                    labelPosition.positionX = x;
                    labelPosition.positionY = y;
                    
                   // _webMaps.map_google_route(lat, lon, title);
                }
            }
            //! [3]

            //! [4]
            gestureHandlers: [
                PinchHandler {
                    property variant initial
                    onPinchUpdated: {
                        label.text = "";

                        if (! initial) {
                            initial = event.distance;
                        }
                        if ((event.distance - initial) / 50 > 1) {
                            initial = event.distance;
                            root.zoomIn();
                        } else if ((event.distance - initial) / 50 < -1) {
                            initial = event.distance;
                            root.zoomOut();
                        }
                    }
                }
            ]
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            //! [4]
        }
    }
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        layout: AbsoluteLayout {
        }

        touchPropagationMode: TouchPropagationMode.None
        overlapTouchPolicy: OverlapTouchPolicy.Allow

        //! [5]
        Label {
            id: label

            layoutProperties: AbsoluteLayoutProperties {
                id: labelPosition
            }

            multiline: true
            textStyle {
                base: SystemDefaults.TextStyles.SmallText
                color: Color.Black
                fontWeight: FontWeight.Bold
                fontFamily: "courier"
            }
        }
        //! [5]

        Label {
            layoutProperties: AbsoluteLayoutProperties {
                positionX: labelPosition.positionX - 2
                positionY: labelPosition.positionY - 2
            }

            multiline: true
            text: label.text
            textStyle {
                base: SystemDefaults.TextStyles.SmallText
                color: Color.White
                fontWeight: FontWeight.Bold
                fontFamily: "courier"
            }
        }
    }
    
    attachedObjects: LayoutUpdateHandler {
        onLayoutFrameChanged: {
            qwvMapView.minHeight = 1440;//layoutFrame.height;
        }

    
    }
    onCreationCompleted: {
        // map.setCenter(43.468245, -80.519603);
        _webMaps.setCenter.connect(setCenter);
        _webMaps.createPushPin.connect(createPushPin);
        _webMaps.removeAllPins.connect(removeAllPins);
        _webMaps.zoomIn.connect(zoomIn);
        _webMaps.zoomOut.connect(zoomOut);
    }

    
    objectName: "map_container"
    verticalAlignment: VerticalAlignment.Fill
    horizontalAlignment: HorizontalAlignment.Fill
}
