import bb.cascades 1.0
//import "Common"

Sheet
{

	Page {
	    id: sheetModify
	
	    
	    titleBar: TitleBar {
	        id: addBar
	        title: "Settings"
	        visibility: ChromeVisibility.Visible
	        
	        dismissAction: ActionItem {
	            title: "Cancel"
	            onTriggered: {
	                _mainApp.cancelSettings()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            title: "Save"
	            onTriggered: {
	                _mainApp.saveSettings()
	            }
	        }
	    }// titleBar
	    

	    ScrollView {
	
	
		    Container
		    {
		        layout: StackLayout {
		        }
		        leftPadding: 10.0
		        topPadding: 10.0
		        rightPadding: 10.0
		        bottomPadding: 10.0
//		        background: Color.Black
                horizontalAlignment: HorizontalAlignment.Fill

                Header {
                    title: qsTr("Map Provider") + Retranslate.onLanguageChanged
                }
                DropDown {
                    horizontalAlignment: HorizontalAlignment.Fill
                    objectName: "dd_provider"
                    
                    title: qsTr("Provider") + Retranslate.onLanguageChanged
                    selectedIndex: 0
                    Option {
                        text: "BlackBerry Map"
                    }
                    Option {
                        text: "Google Map"
                    }
                }
                
                DropDown {
                    id: pin_drop
                    horizontalAlignment: HorizontalAlignment.Fill
                    objectName: "dd_google_pin_drop"
                    
                    title: qsTr("Pin Drop Icon") + Retranslate.onLanguageChanged
                    selectedIndex: 0
                    /*
                     Option {
                     text: "Photo Thumbnail"
                     imageSource: "asset:///images/test_pin.jpg"
                     }
                     */
                    Option {
                        text: "Color Code"
                        imageSource: "asset:///images/colored_pins.png"
                    }
                    Option {
                        text: "Blue Circle"
                        imageSource: "asset:///images/blu-circle.png"
                    }
                    Option {
                        text: "Green Circle"
                        imageSource: "asset:///images/grn-circle.png"
                    }
                    Option {
                        text: "Pink Circle"
                        imageSource: "asset:///images/pink-circle.png"
                    }
                    Option {
                        text: "Purple Circle"
                        imageSource: "asset:///images/purple-circle.png"
                    }
                    Option {
                        text: "Red Circle"
                        imageSource: "asset:///images/red-circle.png"
                    }
                    Option {
                        text: "White Circle"
                        imageSource: "asset:///images/wht-circle.png"
                    }
                    
                    Option {
                        text: "Blue Star"
                        imageSource: "asset:///images/blu-stars.png"
                    }
                    Option {
                        text: "Green Star"
                        imageSource: "asset:///images/grn-stars.png"
                    }
                    Option {
                        text: "Pink Star"
                        imageSource: "asset:///images/pink-stars.png"
                    }
                    Option {
                        text: "Purple Star"
                        imageSource: "asset:///images/purple-stars.png"
                    }
                    Option {
                        text: "Red Star"
                        imageSource: "asset:///images/red-stars.png"
                    }
                    Option {
                        text: "White Star"
                        imageSource: "asset:///images/wht-stars.png"
                    }
                    
                    Option {
                        text: "Blue"
                        imageSource: "asset:///images/ic_blue2.png"
                    }
                    Option {
                        text: "Green"
                        imageSource: "asset:///images/ic_green2.png"
                    }
                    Option {
                        text: "Purple"
                        imageSource: "asset:///images/ic_purple2.png"
                    }
                    Option {
                        text: "Red"
                        imageSource: "asset:///images/ic_red2.png"
                    }
                    Option {
                        text: "Yellow"
                        imageSource: "asset:///images/ic_yellow2.png"
                    }
                    Option {
                        text: "Person"
                        imageSource: "asset:///images/ic_person.png"
                    }
                    Option {
                        text: "Pin"
                        imageSource: "asset:///images/ic_blue_pin.png"
                    }
                
                
                }


				Header {
        			title: "Refresh Rate"
        		}
	            DropDown {
	                horizontalAlignment: HorizontalAlignment.Fill
	                objectName: "interval"
	
	                title: "Interval"
                    Option {
	                    text: "10 Seconds"
                    }
	                Option {
                        text: "30 Seconds"
                    }
	                Option {
                        text: "1 Minute"
                    }
                    Option {
                        text: "2 Minutes"
                    }
                    Option {
                        text: "3 Minutes"
                    }

                    Option {
                        text: "4 Minutes"
                    }

                    Option {
                        text: "5 Minutes"
                    }

                    Option {
                        text: "6 Minutes"
                    }

                    Option {
                        text: "7 Minutes"
                    }

                    Option {
                        text: "8 Minutes"
                    }

                    Option {
                        text: "9 Minutes"
                    }

                    Option {
                        text: "10 Minutes"
                    }

                }

				Divider {
        
        			}
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: "Goto Graph When Stopped Tracking"
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_graph"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: "Include Lat and Long in Graph"
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    CheckBox {
                        objectName: "cb_include_latlong"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Divider {
                    
                }
                Header {
                    title: "Open CellID API Key"
                }
                
                TextField {
                    hintText: "Enter your OpenCellID API Key"
                    objectName: "opencellid_apikey"
                }
                Label {
                    text: "To create the API Key goto http://wiki.opencellid.org/wiki/How_to_join"
                    content.flags: TextContentFlag.ActiveText
                    multiline: true
                    textStyle.fontStyle: FontStyle.Italic
                    textStyle.fontSize: FontSize.Small
                }
                
                

            }
        }




    }
}
