// List with a context menu project template
import bb.cascades 1.0
import "Common"

NavigationPane {

 RecipePage {

        actions: [

            ActionItem {
                title: qsTr("Start")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/icon_edit.png"
                onTriggered: {
                    _mainApp.start_record_timer(true);
                }
                objectName: "action_start"
            },

             ActionItem {
                title: qsTr("Graph")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/icon_record.png"
                onTriggered: {
                    _mainApp.handleGraphAction()
                }
            }

        ]
  
            Container {
            layout: DockLayout {

            }

            Container {
                layout: StackLayout {

                }
                horizontalAlignment: HorizontalAlignment.Center
                Container
                {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Top
                    Container
                    {
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight

                        }
                        ImageButton {
		                    defaultImageSource: "asset:///images/icon_amr.png"
		                    objectName: "signal_bar"
		                }
                        Label {
                            text: "-90 db"
                            textStyle.fontSize: FontSize.XXLarge
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            textStyle.color: Color.DarkGreen
                            objectName: "signal_value"

                        }

                    }
	            }
                    
//                Divider {

  //              }
            }

            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                ImageButton {
                    defaultImageSource: "asset:///images/icon_wav_sdcard.png"
                    onClicked: {
                        _mainApp.start_record_timer(true);
                    }

                    animations: SequentialAnimation {
                        id: glowAnimation

                        repeatCount: 1000000
                        objectName: "glowAnimation"
                        FadeTransition {
                            fromOpacity: 0.0
                            toOpacity: 1.0
                            duration: 1000
                        }
                        FadeTransition {
                            fromOpacity: 1.0
                            toOpacity: 0.0
                            duration: 1000
                        }
                    }
                    objectName: "towericon"
//                    preferredWidth: 256.0
 //                   preferredHeight: 256.0

                }
/*                Label {
                    text: ""
                    textStyle.fontSize: FontSize.XLarge
                    horizontalAlignment: HorizontalAlignment.Center

                }
*/
            }

            Container
            {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                ImageButton {
                    defaultImageSource: "asset:///images/icon_wav.png"
                    onClicked: {
                        _mainApp.start_record_timer(true);
                    }
                    objectName: "towericon2"
//                    preferredWidth: 256.0
 //                   preferredHeight: 256.0

                }
/*               
 			 Label {
                    text: "Start Tracking"
                    textStyle.fontSize: FontSize.XLarge
                    horizontalAlignment: HorizontalAlignment.Center
                    objectName: "tracking_label"

                }
*/
            }


            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Bottom

                //bottomPadding: 100.0
                Divider {

                }

                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    horizontalAlignment: HorizontalAlignment.Center

                    ImageButton {
                        defaultImageSource: "asset:///images/icon_amr_sdcard.png"
                    }
                    Label {
                        textStyle.fontSize: FontSize.Medium
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        textStyle.color: Color.DarkGreen
                        objectName: "gps_location"
                        text: "Touch the Start button"

                    }

                }
            } // container

        }

        onCreationCompleted: {

            Application.setCover(appCover);

            // cleanup code
            Application.manualExit.connect(exitApp);
            Application.setAutoExit(false);

        }

        objectName: "main_page"
        function exitApp() {
            _mainApp.cleanup()
            Application.quit();
        }

    } // page

    attachedObjects: [

        SceneCover {
            id: appCover

            content: Container {
                layout: StackLayout {
                }
                background: Color.Black

                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    horizontalAlignment: HorizontalAlignment.Center

                    Label {
                        textStyle.fontSize: FontSize.Large
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        textStyle.color: Color.DarkGreen
                        objectName: "cover_signal_label"
                        text: "Signal"

                    }

                    Label {
                        textStyle.fontSize: FontSize.Medium
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        textStyle.color: Color.DarkGreen
                        objectName: "cover_signal"

                    }

                }

                Divider {
                    objectName: "cover_divider"
                    visible: false

                }

 
                Label {
                    textStyle.fontSize: FontSize.Large
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    textStyle.color: Color.DarkGreen
                    text: "Latitude"
                    objectName: "cover_lat_label"

                }

                Label {
                    textStyle.fontSize: FontSize.Medium
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    textStyle.color: Color.White
                    objectName: "cover_gps_location_lat"

                }

                Label {
                    textStyle.fontSize: FontSize.Large
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    textStyle.color: Color.DarkGreen
                    text: "Longitude"
                    objectName: "cover_lon_label"

                }

                Label {
                    textStyle.fontSize: FontSize.Medium
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    textStyle.color: Color.White
                    objectName: "cover_gps_location_long"

                }

            }

        }

    ]

}